[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2019-01-22 Thread Joseph Salisbury
** Changed in: linux (Ubuntu) Status: In Progress => Fix Released -- You received this bug notification because you are a member of Kernel Packages, which is subscribed to linux-lts-trusty in Ubuntu. https://bugs.launchpad.net/bugs/1634892 Title: Setting

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-12-19 Thread Launchpad Bug Tracker
This bug was fixed in the package linux-lts-trusty - 3.13.0-106.153~precise1 --- linux-lts-trusty (3.13.0-106.153~precise1) precise; urgency=low [ Luis Henriques ] * Release Tracking Bug - LP: #1647755 * CVE-2016-7916 - proc: prevent accessing /proc//environ until

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-12-19 Thread Launchpad Bug Tracker
This bug was fixed in the package linux - 3.13.0-106.153 --- linux (3.13.0-106.153) trusty; urgency=low [ Luis Henriques ] * Release Tracking Bug - LP: #1647749 * CVE-2016-7916 - proc: prevent accessing /proc//environ until it's ready * CVE-2016-6213 - mnt: Add

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-12-19 Thread Launchpad Bug Tracker
This bug was fixed in the package linux-lts-trusty - 3.13.0-106.153~precise1 --- linux-lts-trusty (3.13.0-106.153~precise1) precise; urgency=low [ Luis Henriques ] * Release Tracking Bug - LP: #1647755 * CVE-2016-7916 - proc: prevent accessing /proc//environ until

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-12-13 Thread Richard Arends
Installed linux-image-3.13.0-106-generic_3.13.0-106.153_amd64.deb and linux-image-extra-3.13.0-106-generic_3.13.0-106.153_amd64.deb and can confirm that the sysctl settings are working again $ uname -a Linux server1 3.13.0-106-generic #153-Ubuntu SMP Tue Dec 6 15:44:32 UTC 2016 x86_64 x86_64

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-12-12 Thread Brad Figg
** Tags removed: verification-needed-trusty ** Tags added: verification-done-trusty -- You received this bug notification because you are a member of Kernel Packages, which is subscribed to linux in Ubuntu. https://bugs.launchpad.net/bugs/1634892 Title: Setting

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-12-12 Thread Hajo Locke
I also upgraded to 3.13.0-106-generic from canonical-kernel-team ppa and can confirm it is working again: # sysctl -w net.ipv4.neigh.default.gc_thresh1=8192 net.ipv4.neigh.default.gc_thresh1 = 8192 # uname -a Linux myhostname 3.13.0-106-generic #153-Ubuntu SMP Tue Dec 6 15:44:32 UTC 2016 x86_64

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-12-09 Thread Brad Figg
This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed- trusty' to 'verification-done-trusty'. If the problem still exists, change the tag

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-12-09 Thread Richard Arends
What is the current planned release date of this kernel? We also have issues that we must solve and downgrading is not really an option. -- You received this bug notification because you are a member of Kernel Packages, which is subscribed to linux in Ubuntu.

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-12-07 Thread Thomas Copeland
Looks like this got punted to 3.13.0-106, which I installed it from the canonical-kernel-team ppa. This bug appears to be solved in -106. thomasco@dev:~$ uname -a Linux dev 3.13.0-106-generic #153-Ubuntu SMP Tue Dec 6 15:44:32 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux thomasco@dev:~$ sudo sysctl

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-12-05 Thread Hajo Locke
Today we updated 14.04 to 3.13.0-105-generic, bug still present. -- You received this bug notification because you are a member of Kernel Packages, which is subscribed to linux in Ubuntu. https://bugs.launchpad.net/bugs/1634892 Title: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-12-01 Thread Hajo Locke
When this fix will appear in official kernel-release? Yesterday i updated Trusty Tahr/14.04 to 3.13.0-103-generic and this problem is still present. This is a problem for all people who use 14.04 in high frequented environments, just like nameservers. -- You received this bug notification

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-11-14 Thread Luis Henriques
** Changed in: linux (Ubuntu Trusty) Status: In Progress => Fix Committed -- You received this bug notification because you are a member of Kernel Packages, which is subscribed to linux in Ubuntu. https://bugs.launchpad.net/bugs/1634892 Title: Setting

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-11-10 Thread Ryan Cox
Will it follow the schedule found here: https://lists.ubuntu.com/archives/kernel-sru- announce/2016-October/76.html ? cycle: 04-Oct through 26-Nov 04-Nov Last day for kernel commits for this cycle 07-Nov - 12-Nov

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-11-10 Thread Joseph Salisbury
Yes, and SRU request has now been submitted to the kernel-team mailing list. This bug will be marked as "Fix Commited" when the fix lands in the -proposed repository. -- You received this bug notification because you are a member of Kernel Packages, which is subscribed to linux in Ubuntu.

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-11-10 Thread Thomas Copeland
Did this ever get submitted? -- You received this bug notification because you are a member of Kernel Packages, which is subscribed to linux in Ubuntu. https://bugs.launchpad.net/bugs/1634892 Title: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-10-31 Thread Ryan Cox
Thanks for the quick work on this. Any idea when this fix might land in the linux-image-generic package? -- You received this bug notification because you are a member of Kernel Packages, which is subscribed to linux in Ubuntu. https://bugs.launchpad.net/bugs/1634892 Title: Setting

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-10-28 Thread Joseph Salisbury
Great news! Thanks again for testing. I'll submit an SRU request to have this commit included in 16.04(Trusty). -- You received this bug notification because you are a member of Kernel Packages, which is subscribed to linux in Ubuntu. https://bugs.launchpad.net/bugs/1634892 Title: Setting

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-10-28 Thread Thomas Copeland
Sure enough, that fixes it thomasco@dev:~$ uname -a Linux dev 3.13.0-100-generic #147~lp1634892WithCommitb194c1f1d SMP Fri Oct 28 19:23:46 UTC 20 x86_64 x86_64 x86_64 GNU/Linux thomasco@dev:~$ sudo sysctl -w net.ipv4.neigh.default.gc_thresh3=8192 net.ipv4.neigh.default.gc_thresh3 = 8192

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-10-28 Thread Joseph Salisbury
I built another Trusty test kernel. However, this kernel is with a cherry pick of commit b194c1f1dbd5f2671e49e0ac801b1b78dc7de93b and without the reverts. The test kernel can be downloaded from: http://kernel.ubuntu.com/~jsalisbury/lp1634892/ Can you test this kernel and see if it resolves this

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-10-28 Thread Joseph Salisbury
Well that was easy, now that you identified rc6 as working. I'll be willing to bet this is the fix: commit b194c1f1dbd5f2671e49e0ac801b1b78dc7de93b Author: Jiri Pirko Date: Fri Feb 21 14:52:57 2014 +0100 neigh: fix setting of default gc_* values This patch fixes

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-10-28 Thread Joseph Salisbury
Great, thanks for testing and finding the version! I'll review the commit logs for rc6 and see if anything sticks out as the fix. If not. we can reverse bisect between rc5 and rc6 to identify the fix. -- You received this bug notification because you are a member of Kernel Packages, which is

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-10-28 Thread Thomas Copeland
This sysctl also fails in rc5, so the fix must have landed in rc6. thomasco@dev:~$ uname -a Linux dev 3.14.0-031400rc5-generic #201403022235 SMP Mon Mar 3 03:36:27 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux thomasco@dev:~$ sudo sysctl -w net.ipv4.neigh.default.gc_thresh3=8192 sysctl: setting key

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-10-28 Thread Thomas Copeland
rc4 has the same problem: thomasco@dev:/proc/sys/net/ipv4/neigh/default$ uname -a Linux dev 3.14.0-031400rc4-generic #201402232235 SMP Mon Feb 24 03:36:35 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux thomasco@dev:/proc/sys/net/ipv4/neigh/default$ sudo sysctl -w net.ipv4.neigh.default.gc_thresh3=8192

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-10-28 Thread Joseph Salisbury
Thanks for testing, Yoshi. That is good news and means there is a fix for this already, without requiring a revert. We just need to narrow down which version the fix landed in, and then identify that commit. Lets first test some of the 3.14 release candidates, newer than -rc1. Can you test the

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-10-27 Thread Yoshi Kadokawa
Had the same Invalid argument error in 3.14-rc1 as well, but for 3.15.0-031500, I could set the parameter successfully. -- You received this bug notification because you are a member of Kernel Packages, which is subscribed to linux in Ubuntu. https://bugs.launchpad.net/bugs/1634892 Title:

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-10-27 Thread Joseph Salisbury
We might need to perform a "Reverse" bisect to identify the fix that prevented this commit from being reverted in newer kernel versions. Can you first confirm that the bug also exists in upstream v3.14-rc1? It can be downloaded from:

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-10-27 Thread Yoshi Kadokawa
I have tried it with commit9ecf07a1d8 version, but got "Invalid argument" again. Here is the output. ubuntu@testkernel:~$ uname -a Linux testkernel 3.13.0-100-generic #147~lp1634892WithCommit9ecf07a1d8 SMP Wed Oct 26 18:36:02 UTC 2 x86_64 x86_64 x86_64 GNU/Linux ubuntu@testkernel:~$ sudo sysctl

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-10-26 Thread Joseph Salisbury
I built another Trusty test kernel. However, this kernel is with a cherry pick of commit 9ecf07a1d8f7 and without the reverts. The test kernel can be downloaded from: http://kernel.ubuntu.com/~jsalisbury/lp1634892/ Can you test this kernel and see if it resolves this bug? -- You received this

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-10-26 Thread Yoshi Kadokawa
It worked for me too. -- You received this bug notification because you are a member of Kernel Packages, which is subscribed to linux in Ubuntu. https://bugs.launchpad.net/bugs/1634892 Title: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument'

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-10-26 Thread Sam Kottler
The kernel built above work fine for me too. -- You received this bug notification because you are a member of Kernel Packages, which is subscribed to linux in Ubuntu. https://bugs.launchpad.net/bugs/1634892 Title: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-10-24 Thread Joseph Salisbury
** Changed in: linux (Ubuntu) Status: Triaged => In Progress ** Changed in: linux (Ubuntu Trusty) Status: Triaged => In Progress ** Changed in: linux-lts-trusty (Ubuntu) Status: Triaged => In Progress ** Changed in: linux (Ubuntu) Assignee: (unassigned) => Joseph

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-10-24 Thread Thomas Copeland
Works for me thomasco@dev:/proc/sys/net/ipv4/neigh/default$ uname -a Linux kerneltest-uswest1adevc 3.13.0-100-generic #147~lp1634892Commit1d4c8c2Reverted SMP Mon Oct 24 18:04:20 UTC x86_64 x86_64 x86_64 GNU/Linux thomasco@dev:/proc/sys/net/ipv4/neigh/default$ echo 4096 | sudo tee gc_thresh3

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-10-24 Thread Joseph Salisbury
I built a Trusty test kernel with a revert of mainline commit 1d4c8c2. This also required that I revert commit bba24896f. The test kernel can be downloaded from: http://kernel.ubuntu.com/~jsalisbury/lp1634892/ Can you test this kernel and see if it resolves this bug? -- You received this bug

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-10-24 Thread Joseph Salisbury
Note, for this test kernel, you need to install both the linux-image and linux-image-extra .deb packages. -- You received this bug notification because you are a member of Kernel Packages, which is subscribed to linux in Ubuntu. https://bugs.launchpad.net/bugs/1634892 Title: Setting

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-10-24 Thread Joseph Salisbury
** Also affects: linux (Ubuntu Trusty) Importance: Undecided Status: New ** Also affects: linux-lts-trusty (Ubuntu Trusty) Importance: Undecided Status: New ** Changed in: linux (Ubuntu Trusty) Status: New => Triaged ** No longer affects: linux-lts-trusty (Ubuntu

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-10-21 Thread Thomas Copeland
I've bisected Ubuntu-3.13.0-96.143 to Ubuntu3.13.0-97.144 and it looks like 7b82096b0ebc9bf487b390fe970d66ffa5a5774e introduced the problem. thomasco@dev:/storage/ubuntu-trusty (7b82096...|BISECTING) $ git bisect bad 7b82096b0ebc9bf487b390fe970d66ffa5a5774e is the first bad commit commit

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-10-19 Thread Joseph Salisbury
** Tags added: kernel-da-key needs-bisect ** Changed in: linux-lts-trusty (Ubuntu) Importance: Undecided => Medium ** Changed in: linux-lts-trusty (Ubuntu) Status: New => Triaged ** Also affects: linux (Ubuntu) Importance: Undecided Status: New ** Changed in: linux (Ubuntu)

[Kernel-packages] [Bug 1634892] Re: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on 3.13.0-97.144 or later causes 'invalid argument' error

2016-10-19 Thread Sam Kottler
** Description changed: Setting net.ipv4.neigh.default.gc_thresh1/2/3 on the 3.13.0-96-generic kernel and below worked fine using the following: $ sudo /sbin/sysctl -w net.ipv4.neigh.default.gc_thresh1=128 128 As of 3.13.0-97-generic, though, it no longer works as expected: $